<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="demo">
        <h2>1.绑定监听</h2>
        <button @click="test1()">test1</button>
        <button @click="test2('hello')">test2</button>
        <button @click="test3">test3</button>

        
        <h2>2.事件修饰符</h2>
        <div style="width: 200px;height: 200px;background-color: greenyellow;" @click="test4">
            <!-- .stop阻止冒泡 -->
            <div style="width: 100px;height: 100px;background-color: hotpink;" @click.stop="test5"></div>
        </div>

        <!-- .prevent阻止事件默认行为 -->
        <a href="www.baidu.com" @click.prevent="test6">百度</a>
        
        
        <h2>3.按键修饰符</h2>
        <input type="text" @keyup.enter="test7">

    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        new Vue({
            el:"#demo",
            data:{

            },
            methods:{
                test1(){
                    alert("hello")
                },
                test2(msg){
                    alert(msg)
                },
                test3(event){
                    alert(event.target.innerHTML)
                },
                test4(){
                    alert("test4")
                },
                test5(){
                    // 阻止冒泡排序.stop
                    alert("test5")
                },
                test6(){
                    alert("你点击了")
                },
                test7(event){
                    alert(event.target.value)
                }
            }
        })
    </script>
</body>
</html>